﻿.jsgrid {
    position: relative;
    overflow: hidden;
    /* font-size: 1em; */
}

.jsgrid, .jsgrid *, .jsgrid *:before, .jsgrid *:after {
    box-sizing: border-box;
}

.jsgrid input,
.jsgrid textarea,
.jsgrid select {
    font-size: 1em;
}

.jsgrid-grid-header 
{
    background-color: #33485C;
    color: #fff;
    font-weight: bold;
    text-align: center;
    overflow-x: hidden;
    overflow-y: scroll;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
}

.jsgrid-grid-body {
    overflow-x: auto;
    overflow-y: scroll;
    -webkit-overflow-scrolling: touch;
}

.jsgrid-table {
    width: 100%;
    table-layout: fixed;
    border-collapse: collapse;
    border-spacing: 0;
}

.jsgrid-table td {
    padding:8px;
    /* line-height:10px; */
    vertical-align:top;
}

.jsgrid-table td,
.jsgrid-table th {
    box-sizing: border-box;
}

.jsgrid-align-left {
    text-align: left;
}

.jsgrid-align-center {
    text-align: center;
}

.jsgrid-align-right {
    text-align: right;
}

.jsgrid-header-row {
     border-bottom:2px solid #017232;
     border-top:3px solid #5C5C5C;
}

.jsgrid-header-row > th {
    padding: .5em .5em; 
}

.jsgrid-filter-row input,
.jsgrid-filter-row textarea,
.jsgrid-filter-row select,
.jsgrid-edit-row input,
.jsgrid-edit-row textarea,
.jsgrid-edit-row select,
.jsgrid-insert-row input,
.jsgrid-insert-row textarea,
.jsgrid-insert-row select {
    width: 90%;
    padding: .3em .5em;
}

.jsgrid-filter-row input[type='checkbox'],
.jsgrid-edit-row input[type='checkbox'],
.jsgrid-insert-row input[type='checkbox'] {
    width: auto;
}

.jsgrid-header-row > th,
.jsgrid-filter-row > td,
.jsgrid-insert-row > td,
.jsgrid-edit-row > td {
    text-align: left;
}

.jsgrid-selected-row td {
    cursor: pointer;
}

.jsgrid-nodata-row td {
    padding: .5em 0;
    text-align: center;
}

.jsgrid-header-sort {
    cursor: pointer;
}

.jsgrid-pager {
    padding: .5em 0;
}

.jsgrid-pager-nav-button {
    padding: .2em .6em;
}

.jsgrid-pager-page {
    padding: .2em .6em;
}


.jsgrid-alt-row {
    background-color:transparent !important;
}

.jsgrid-row {
    background-color:transparent !important;
}

.jsgrid-row > td {
     background-color:transparent !important;
     border-bottom:1px solid #ccc;
}

.jsgrid-alt-row > td {
     background-color:transparent !important;
     border-bottom:1px solid #ccc; 
}

.jsgrid-table tbody tr:hover>td,.table-hover tbody tr:hover>th{background-color:#f5f5f5 !important;}
